<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-card class="action-detail" *ngIf="action">
  <mat-card-header class="action-detail-header">
    <mat-card-title>
      {{action.operationConfiguration.operationName}} - {{'configuration-deployments.detail.card.title' | translate}}
    </mat-card-title>
    <mat-card-subtitle>
      {{'configuration-deployments.detail.card.subtitle' | translate}}
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content class="action-detail-container">

    <pact-action-detail-row [labels]="['statusDate', 'ownerName']"
                            i18nLabel="configuration-deployments" [action]="actionMetadata">
    </pact-action-detail-row>

    <pact-action-detail-row [labels]="['siteOpeningDate', 'siteClosingDate']"
                            i18nLabel="configuration-deployments" [action]="actionMetadata">
    </pact-action-detail-row>

    <pact-action-detail-row [labels]="['gracePeriod', 'siteTextHash']"
                            i18nLabel="configuration-deployments" [action]="actionMetadata">
    </pact-action-detail-row>

    <mat-divider></mat-divider>

    <pact-action-detail-accordion-row i18nLabel="configuration-deployments.attachments"
                                      i18nTitleLabel="title" expansionClass="cd-attachment"
                                      titleLabel="name" [actions]="attachmentMetadata"
                                      [descriptionLabels]="['signatureAuthor', 'signatureStatus']"
                                      [rows]="[
                                        ['type', 'generationDate', 'importDate'],
                                        ['messageId', 'sourceApplication', 'signatureExpiryDate'],
                                        ['fileHash']
                                      ]">
    </pact-action-detail-accordion-row>

    <pact-action-detail-submit-row i18nLabel="configuration-deployments"
                                   [action]="action"
                                   (onCreateAction)="onCreateAction()"
                                   (onApprove)="onApproveAction()"
                                   (onReject)="onRejectAction($event)">
    </pact-action-detail-submit-row>
  </mat-card-content>
</mat-card>
